|  | Home · All Classes · Modules

# QDeclarativeParserStatus Class Reference
[QtDeclarative module]

The QDeclarativeParserStatus class provides updates on the QML parser state. More...

Inherited by QDeclarativeItem.

### Methods

- __init__ (self)
- __init__ (self, QDeclarativeParserStatus)
- classBegin (self)
- componentComplete (self)

## Detailed Description

The QDeclarativeParserStatus class provides updates on the QML parser state.

QDeclarativeParserStatus provides a mechanism for classes instantiated by a QDeclarativeEngine to receive notification at key points in their creation.

This class is often used for optimization purposes, as it allows you to defer an expensive operation until after all the properties have been set on an object. For example, QML's Text element uses the parser status to defer text layout until all of its properties have been set (we don't want to layout when the `text` is assigned, and then relayout when the `font` is assigned, and relayout again when the `width` is assigned, and so on).

To use QDeclarativeParserStatus, you must inherit both a QObject-derived class and QDeclarativeParserStatus, and use the Q_INTERFACES() macro.

     class MyObject : public QObject, public QDeclarativeParserStatus
     {
         Q_OBJECT
         Q_INTERFACES(QDeclarativeParserStatus)

     public:
         MyObject(QObject *parent = 0);
         ...
         void classBegin();
         void componentComplete();
     }

## Method Documentation

### QDeclarativeParserStatus.__init__ (self)

### QDeclarativeParserStatus.__init__ (self, QDeclarativeParserStatus)

### QDeclarativeParserStatus.classBegin (self)

This method is abstract and should be reimplemented in any sub-class.

Invoked after class creation, but before any properties have been set.

### QDeclarativeParserStatus.componentComplete (self)

This method is abstract and should be reimplemented in any sub-class.

Invoked after the root component that caused this instantiation has completed construction. At this point all static values and binding values have been assigned to the class.